## fmtlib 4.0.0%2Bds

=== test/CMakeLists.txt ===
#------------------------------------------------------------------------------
# Build the google test library

# We compile Google Test ourselves instead of using pre-compiled libraries.
# See the Google Test FAQ "Why is it not recommended to install a
# pre-compiled copy of Google Test (for example, into /usr/local)?"
# at http://code.google.com/p/googletest/wiki/FAQ for more details.
add_library(gmock STATIC
  gmock-gtest-all.cc gmock/gmock.h gtest/gtest.h gtest/gtest-spi.h)
target_compile_options(gmock PUBLIC ${CPP11_FLAG})
target_compile_definitions(gmock PUBLIC GTEST_HAS_STD_WSTRING=1)
target_include_directories(gmock PUBLIC .)

find_package(Threads)
if (Threads_FOUND)
  target_link_libraries(gmock ${CMAKE_THREAD_LIBS_INIT})
else ()
  target_compile_definitions(gmock PUBLIC GTEST_HAS_PTHREAD=0)
endif ()

if (NOT SUPPORTS_VARIADIC_TEMPLATES OR NOT SUPPORTS_INITIALIZER_LIST)
  target_compile_definitions(gmock PUBLIC GTEST_LANG_CXX11=0)
endif ()

# Workaround a bug in implementation of variadic templates in MSVC11.
if (MSVC)
  target_compile_definitions(gmock PUBLIC _VARIADIC_MAX=10)
endif ()

# GTest doesn't detect <tuple> with clang.
if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  target_compile_definitions(gmock PUBLIC GTEST_USE_OWN_TR1_TUPLE=1)
endif ()

#------------------------------------------------------------------------------
# Build the actual library tests

set(TEST_MAIN_SRC test-main.cc gtest-extra.cc gtest-extra.h util.cc)
add_library(test-main STATIC ${TEST_MAIN_SRC})
target_compile_definitions(test-main PUBLIC
  FMT_USE_FILE_DESCRIPTORS=$<BOOL:${HAVE_OPEN}>)
target_link_libraries(test-main gmock fmt)

include(CheckCXXCompilerFlag)

# Workaround GTest bug https://github.com/google/googletest/issues/705.
check_cxx_compiler_flag(
  -fno-delete-null-pointer-checks HAVE_FNO_DELETE_NULL_POINTER_CHECKS)
if (HAVE_FNO_DELETE_NULL_POINTER_CHECKS)
  target_compile_options(test-main PUBLIC -fno-delete-null-pointer-checks)
endif ()

# Use less strict pedantic flags for the tests because GMock doesn't compile
# cleanly with -pedantic and -std=c++98.
if (CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
  set(PEDANTIC_COMPILE_FLAGS -Wall -Wextra -Wno-long-long -Wno-variadic-macros)
endif ()

function(add_fmt_executable name)
  add_executable(${name} ${ARGN})
  if (MINGW)
    target_link_libraries(${name} -static-libgcc -static-libstdc++)
  endif ()
endfunction()

# Adds a test.
# Usage: add_fmt_test(name srcs...)
function(add_fmt_test name)
  add_fmt_executable(${name} ${name}.cc ${ARGN})
  target_link_libraries(${name} test-main)

  # define if certain c++ features can be used
  target_compile_definitions(${name} PRIVATE
    FMT_USE_TYPE_TRAITS=$<BOOL:${SUPPORTS_TYPE_TRAITS}>
    FMT_USE_ENUM_BASE=$<BOOL:${SUPPORTS_ENUM_BASE}>)
  if (FMT_PEDANTIC)
    target_compile_options(${name} PRIVATE ${PEDANTIC_COMPILE_FLAGS})
  endif ()
  add_test(NAME ${name} COMMAND ${name})
endfunction()

add_fmt_test(assert-test)
add_fmt_test(container-test)
add_fmt_test(gtest-extra-test)
add_fmt_test(format-test)
add_fmt_test(format-impl-test)
add_fmt_test(ostream-test)
add_fmt_test(printf-test)
add_fmt_test(string-test)
add_fmt_test(time-test)
add_fmt_test(util-test mock-allocator.h)
add_fmt_test(macro-test)
add_fmt_test(custom-formatter-test)

# Enable stricter options for one test to make sure that the header is free of
# warnings.
if (FMT_PEDANTIC AND MSVC)
  target_compile_options(format-test PRIVATE /W4)
endif ()

if (HAVE_OPEN)
  add_fmt_executable(posix-mock-test
    posix-mock-test.cc ../fmt/format.cc ../fmt/printf.cc ${TEST_MAIN_SRC})
  target_include_directories(posix-mock-test PRIVATE ${PROJECT_SOURCE_DIR})
  target_compile_definitions(posix-mock-test PRIVATE FMT_USE_FILE_DESCRIPTORS=1)
  target_link_libraries(posix-mock-test gmock)
  add_test(NAME posix-mock-test COMMAND posix-mock-test)
  add_fmt_test(posix-test)
endif ()

add_fmt_executable(header-only-test
  header-only-test.cc header-only-test2.cc test-main.cc)
target_link_libraries(header-only-test gmock)
if (TARGET fmt-header-only)
  target_link_libraries(header-only-test fmt-header-only)
else ()
  target_include_directories(header-only-test PRIVATE ${PROJECT_SOURCE_DIR})
  target_compile_definitions(header-only-test PRIVATE FMT_HEADER_ONLY=1)
endif ()

# Test that the library can be compiled with exceptions disabled.
check_cxx_compiler_flag(-fno-exceptions HAVE_FNO_EXCEPTIONS_FLAG)
if (HAVE_FNO_EXCEPTIONS_FLAG)
  add_library(noexception-test ../fmt/format.cc)
  target_include_directories(noexception-test PRIVATE ${PROJECT_SOURCE_DIR})
  target_compile_options(noexception-test PRIVATE -fno-exceptions)
endif ()

if (FMT_PEDANTIC)
  # Test that the library compiles without windows.h.
  if (CMAKE_SYSTEM_NAME STREQUAL "Windows")
    add_library(no-windows-h-test ../fmt/format.cc)
    target_include_directories(no-windows-h-test PRIVATE ${PROJECT_SOURCE_DIR})
    target_compile_definitions(no-windows-h-test PRIVATE FMT_USE_WINDOWS_H=0)
  endif ()

  add_test(compile-test ${CMAKE_CTEST_COMMAND}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/compile-test"
    "${CMAKE_CURRENT_BINARY_DIR}/compile-test"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
    "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
    "-DCPP11_FLAG=${CPP11_FLAG}"
    "-DSUPPORTS_USER_DEFINED_LITERALS=${SUPPORTS_USER_DEFINED_LITERALS}")

  # test if the targets are findable from the build directory
  add_test(find-package-test ${CMAKE_CTEST_COMMAND}
    -C ${CMAKE_BUILD_TYPE}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/find-package-test"
    "${CMAKE_CURRENT_BINARY_DIR}/find-package-test"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
    "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
    "-DFMT_DIR=${PROJECT_BINARY_DIR}"
    "-DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}")

  # test if the targets are findable when add_subdirectory is used
  add_test(add-subdirectory-test ${CMAKE_CTEST_COMMAND}
    -C ${CMAKE_BUILD_TYPE}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/add-subdirectory-test"
    "${CMAKE_CURRENT_BINARY_DIR}/add-subdirectory-test"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
    "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
    "-DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}")
endif ()

=== test/find-package-test/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(fmt-test)

find_package(FMT REQUIRED)

add_executable(library-test main.cc)
target_link_libraries(library-test fmt::fmt)

if (TARGET fmt::fmt-header-only)
  add_executable(header-only-test main.cc)
  target_link_libraries(header-only-test fmt::fmt-header-only)
endif ()

## fmtlib 4.0.0+ds

=== CMakeLists.txt ===
message(STATUS "CMake version: ${CMAKE_VERSION}")

cmake_minimum_required(VERSION 2.8.12)

# Determine if fmt is built as a subproject (using add_subdirectory)
# or if it is the master project.
set(MASTER_PROJECT OFF)
if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
  set(MASTER_PROJECT ON)
endif ()

# Joins arguments and places the results in ${result_var}.
function(join result_var)
  set(result )
  foreach (arg ${ARGN})
    set(result "${result}${arg}")
  endforeach ()
  set(${result_var} "${result}" PARENT_SCOPE)
endfunction()

# Set the default CMAKE_BUILD_TYPE to Release.
# This should be done before the project command since the latter can set
# CMAKE_BUILD_TYPE itself (it does so for nmake).
if (NOT CMAKE_BUILD_TYPE)
  join(doc "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or "
           "CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel.")
  set(CMAKE_BUILD_TYPE Release CACHE STRING ${doc})
endif ()

option(FMT_PEDANTIC "Enable extra warnings and expensive tests." OFF)

# Options that control generation of various targets.
option(FMT_DOC "Generate the doc target." ${MASTER_PROJECT})
option(FMT_INSTALL "Generate the install target." ${MASTER_PROJECT})
option(FMT_TEST "Generate the test target." ${MASTER_PROJECT})
option(FMT_USE_CPP11 "Enable the addition of C++11 compiler flags." ON)

project(FMT)

# Starting with cmake 3.0 VERSION is part of the project command.
file(READ fmt/format.h format_h)
if (NOT format_h MATCHES "FMT_VERSION ([0-9]+)([0-9][0-9])([0-9][0-9])")
  message(FATAL_ERROR "Cannot get FMT_VERSION from format.h.")
endif ()
# Use math to skip leading zeros if any.
math(EXPR CPACK_PACKAGE_VERSION_MAJOR ${CMAKE_MATCH_1})
math(EXPR CPACK_PACKAGE_VERSION_MINOR ${CMAKE_MATCH_2})
math(EXPR CPACK_PACKAGE_VERSION_PATCH ${CMAKE_MATCH_3})
join(FMT_VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.
                 ${CPACK_PACKAGE_VERSION_PATCH})
message(STATUS "Version: ${FMT_VERSION}")

message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
  "${CMAKE_CURRENT_SOURCE_DIR}/support/cmake")

include(cxx11)

if (CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
  set(PEDANTIC_COMPILE_FLAGS -Wall -Wextra -Wshadow -pedantic)
endif ()

if (MASTER_PROJECT AND CMAKE_GENERATOR MATCHES "Visual Studio")
  # If Microsoft SDK is installed create script run-msbuild.bat that
  # calls SetEnv.cmd to set up build environment and runs msbuild.
  # It is useful when building Visual Studio projects with the SDK
  # toolchain rather than Visual Studio.
  include(FindSetEnv)
  if (WINSDK_SETENV)
    set(MSBUILD_SETUP "call \"${WINSDK_SETENV}\"")
  endif ()
  # Set FrameworkPathOverride to get rid of MSB3644 warnings.
  set(netfxpath "C:\\Program Files\\Reference Assemblies\\Microsoft\\Framework\\.NETFramework\\v4.0")
  file(WRITE run-msbuild.bat "
    ${MSBUILD_SETUP}
    ${CMAKE_MAKE_PROGRAM} -p:FrameworkPathOverride=\"${netfxpath}\" %*")
endif ()

include(CheckSymbolExists)
if (WIN32)
  check_symbol_exists(open io.h HAVE_OPEN)
else ()
  check_symbol_exists(open fcntl.h HAVE_OPEN)
endif ()

add_subdirectory(fmt)

if (FMT_DOC)
  add_subdirectory(doc)
endif ()

if (FMT_TEST)
  enable_testing()
  add_subdirectory(test)
endif ()

set(gitignore ${PROJECT_SOURCE_DIR}/.gitignore)
if (MASTER_PROJECT AND EXISTS ${gitignore})
  # Get the list of ignored files from .gitignore.
  file (STRINGS ${gitignore} lines)
  LIST(REMOVE_ITEM lines /doc/html)
  foreach (line ${lines})
    string(REPLACE "." "[.]" line "${line}")
    string(REPLACE "*" ".*" line "${line}")
    set(ignored_files ${ignored_files} "${line}$" "${line}/")
  endforeach ()
  set(ignored_files ${ignored_files}
    /.git /breathe /format-benchmark sphinx/ .buildinfo .doctrees)

  set(CPACK_SOURCE_GENERATOR ZIP)
  set(CPACK_SOURCE_IGNORE_FILES ${ignored_files})
  set(CPACK_SOURCE_PACKAGE_FILE_NAME fmt-${FMT_VERSION})
  set(CPACK_PACKAGE_NAME fmt)
  set(CPACK_RESOURCE_FILE_README ${PROJECT_SOURCE_DIR}/README.rst)
  include(CPack)
endif ()

=== fmt/CMakeLists.txt ===
# Define the fmt library, its includes and the needed defines.
# *.cc are added to FMT_HEADERS for the header-only configuration.
set(FMT_HEADERS container.h format.h format.cc ostream.h ostream.cc printf.h
                printf.cc string.h time.h)
if (HAVE_OPEN)
  set(FMT_HEADERS ${FMT_HEADERS} posix.h)
  set(FMT_SOURCES ${FMT_SOURCES} posix.cc)
endif ()

add_library(fmt ${FMT_SOURCES} ${FMT_HEADERS} ../README.rst ../ChangeLog.rst)
add_library(fmt::fmt ALIAS fmt)

# Starting with cmake 3.1 the CXX_STANDARD property can be used instead.
# Note: Don't make -std=c++11 public or interface, since it breaks projects
# that use C++14.
target_compile_options(fmt PRIVATE ${CPP11_FLAG})
if (FMT_PEDANTIC)
  target_compile_options(fmt PRIVATE ${PEDANTIC_COMPILE_FLAGS})
endif ()

target_include_directories(fmt PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:include>)

set_target_properties(fmt PROPERTIES
  VERSION ${FMT_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})

if (BUILD_SHARED_LIBS)
  if (UNIX AND NOT APPLE)
    # Fix rpmlint warning:
    # unused-direct-shlib-dependency /usr/lib/libformat.so.1.1.0 /lib/libm.so.6.
    target_link_libraries(fmt -Wl,--as-needed)
  endif ()
  target_compile_definitions(fmt PRIVATE FMT_EXPORT INTERFACE FMT_SHARED)
endif ()

#------------------------------------------------------------------------------
# additionally define a header only library when cmake is new enough
if (CMAKE_VERSION VERSION_GREATER 3.1.0 OR CMAKE_VERSION VERSION_EQUAL 3.1.0)
  add_library(fmt-header-only INTERFACE)
  add_library(fmt::fmt-header-only ALIAS fmt-header-only)

  target_compile_definitions(fmt-header-only INTERFACE FMT_HEADER_ONLY=1)

  target_include_directories(fmt-header-only INTERFACE
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:include>)
endif ()

# Install targets.
if (FMT_INSTALL)
  include(CMakePackageConfigHelpers)
  set(FMT_CMAKE_DIR lib/cmake/fmt CACHE STRING
    "Installation directory for cmake files, relative to ${CMAKE_INSTALL_PREFIX}.")
  set(version_config ${PROJECT_BINARY_DIR}/fmt-config-version.cmake)
  set(project_config ${PROJECT_BINARY_DIR}/fmt-config.cmake)
  set(targets_export_name fmt-targets)

  set (INSTALL_TARGETS fmt)
  if (TARGET fmt-header-only)
    set(INSTALL_TARGETS ${INSTALL_TARGETS} fmt-header-only)
  endif ()

  set(FMT_LIB_DIR lib CACHE STRING
    "Installation directory for libraries, relative to ${CMAKE_INSTALL_PREFIX}.")

  # Generate the version, config and target files into the build directory.
  write_basic_package_version_file(
    ${version_config}
    VERSION ${FMT_VERSION}
    COMPATIBILITY AnyNewerVersion)
  configure_package_config_file(
    ${PROJECT_SOURCE_DIR}/support/cmake/fmt-config.cmake.in
    ${project_config}
    INSTALL_DESTINATION ${FMT_CMAKE_DIR})
  export(TARGETS ${INSTALL_TARGETS} NAMESPACE fmt::
         FILE ${PROJECT_BINARY_DIR}/${targets_export_name}.cmake)

  # Install version, config and target files.
  install(
    FILES ${project_config} ${version_config}
    DESTINATION ${FMT_CMAKE_DIR})
  install(EXPORT ${targets_export_name} DESTINATION ${FMT_CMAKE_DIR}
    NAMESPACE fmt::)

  # Install the library and headers.
  install(TARGETS ${INSTALL_TARGETS} EXPORT ${targets_export_name}
          DESTINATION ${FMT_LIB_DIR})
  install(FILES ${FMT_HEADERS} DESTINATION include/fmt)
endif ()

=== test/add-subdirectory-test/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(fmt-test)

add_subdirectory(../.. fmt)

add_executable(library-test "main.cc")
target_link_libraries(library-test fmt::fmt)

if (TARGET fmt::fmt-header-only)
  add_executable(header-only-test "main.cc")
  target_link_libraries(header-only-test fmt::fmt-header-only)
endif ()

=== test/compile-test/CMakeLists.txt ===
# Test if compile errors are produced where necessary.

cmake_minimum_required(VERSION 2.8)

include(CheckCXXSourceCompiles)
set(CMAKE_REQUIRED_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/../..)
set(CMAKE_REQUIRED_FLAGS ${CPP11_FLAG})

function (generate_source result fragment)
  set(${result} "
  #define FMT_HEADER_ONLY 1
  #include \"fmt/posix.h\"
  int main() {
    ${fragment}
  }
  " PARENT_SCOPE)
endfunction ()

function (expect_compile code)
  generate_source(source "${code}")
  check_cxx_source_compiles("${source}" compiles)
  if (NOT compiles)
    set(error_msg "Compile error for: ${code}")
  endif ()
  # Unset the CMake cache variable compiles. Otherwise the compile test will
  # just use cached information next time it runs.
  unset(compiles CACHE)
  if (error_msg)
    message(FATAL_ERROR ${error_msg})
  endif ()
endfunction ()

function (expect_compile_error code)
  generate_source(source "${code}")
  check_cxx_source_compiles("${source}" compiles)
  if (compiles)
    set(error_msg "No compile error for: ${code}")
  endif ()
  # Unset the CMake cache variable compiles. Otherwise the compile test will
  # just use cached information next time it runs.
  unset(compiles CACHE)
  if (error_msg)
    message(FATAL_ERROR ${error_msg})
  endif ()
endfunction ()

# check if the source file skeleton compiles
expect_compile("")

# MakeArg doesn't accept [const] volatile char *.
expect_compile_error("volatile char s[] = \"test\"; (fmt::internal::MakeArg<char>)(s);")
expect_compile_error("const volatile char s[] = \"test\"; (fmt::internal::MakeArg<char>)(s);")

# MakeArg<char> doesn't accept wchar_t.
expect_compile_error("fmt::internal::MakeValue<char>(L'a');")
expect_compile_error("fmt::internal::MakeValue<char>(L\"test\");")

# Writing a wide character to a character stream Writer is forbidden.
expect_compile_error("fmt::MemoryWriter() << L'a';")
expect_compile_error("fmt::MemoryWriter() << fmt::pad(\"abc\", 5, L' ');")
expect_compile_error("fmt::MemoryWriter() << fmt::pad(42, 5, L' ');")

# Formatting a wide character with a narrow format string is forbidden.
expect_compile_error("fmt::format(\"{}\", L'a';")

expect_compile("FMT_STATIC_ASSERT(true, \"this should never happen\");")
expect_compile_error("FMT_STATIC_ASSERT(0 > 1, \"oops\");")

# Make sure that compiler features detected in the header
# match the features detected in CMake.
if (SUPPORTS_USER_DEFINED_LITERALS)
  set(supports_udl 1)
else ()
  set(supports_udl 0)
endif ()
expect_compile("#if FMT_USE_USER_DEFINED_LITERALS != ${supports_udl}
                # error
                #endif")

=== debian/changelog ===
fmtlib (4.0.0+ds-2) unstable; urgency=medium

  * debian/rules:
    - Set FMT_PEDANTIC=on to enable more compiler warnings.
    - Set CMAKE_POSITION_INDEPENDENT_CODE=on to compile the static library
      with -fPIC, so it can used in shared libraries. Thanks to
      Boyuan Yang for the report. (Closes: #878070)
  * debian/patches:
    - 0013-doc-index-removed-GitHub-iframe.patch: added.
      This removes autoloading GitHub buttons from the documentation.
      Caught by lintian.
  * debian/control:
    - Bumped Standards-Version to 4.1.1, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 16 Oct 2017 22:04:21 +0200

fmtlib (4.0.0+ds-1) unstable; urgency=low

  * New upstream release. (Closes: #866338)
  * debian/strip-orig-tar.sh:
    - Do not strip CMake support files.
  * debian/control:
    - Changed source package name to 'fmtlib', following upstream rename.
    - Removed versioning (numbers) from binary package names - C++ headers
      are unversioned so two different development packages could not be
      co-installed anyway.
    - Added conflicts with names of previous binary packages.
    - Bumped Standards-Version to 4.1.0, no changes needed.
  * debian/patches:
    - Rebased.
    - 0011-fmt-cmakelists-don-t-bother-with-exporting-CMake-con.patch:
      removed, the package now provides non-header-only CMake config files.
  * debian/README.Debian:
    - Added with Debian-specific instructions for CMake usage.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 17 Sep 2017 13:13:38 +0200

cppformat (3.0.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Build-depend on googletest instead of libgtest-dev/google-mock.
  * debian/patches:
    - 0002-test-cmakelists-use-system-provide-GTest-and-GMock.patch: use new
      gmock source directory. Fixes FTBFS (Closes: #844843)
    - 0002-test-cmakelists-use-system-provide-GTest-and-GMock.patch: prevent
      installing gmock/gtest stuff.
    - 0012-test-format-test-FormatIntLocale-disabled.patch: dropped, upstream
      made the test independent of system locale.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 21 Nov 2016 09:58:22 +0100

cppformat (3.0.0+ds-2) unstable; urgency=low

  * Upload to unstable.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 29 Sep 2016 13:15:56 +0200

cppformat (3.0.0+ds-1) experimental; urgency=low

  * New upstream release.
    - Unit tests now pass when compiled with GCC6. (Closes: #812261)
  * debian/control:
    - Updated home page (new is http://fmtlib.net/).
    - Updated binary package names to use libfmt prefix (following
      the upstream name change).
    - Updated Standards-Version to 3.9.8, no changes needed.
  * debian/strip-orig-tar.sh:
    - Strip also GTest/GMock from new locations inside 3.0.0 tarball.
  * debian/patches:
    - Rebased.
    - 0010-test-cmakelists-don-t-guess-C-11-support.patch: added.
    - 0011-fmt-cmakelists-don-t-bother-with-exporting-CMake-con.patch: added.
    - 0012-test-format-test-FormatIntLocale-disabled.patch: added.
    - 0013-test-cmakelists-posix-mock-test-link-to-already-comp.patch: added.
    - 0014-fmt-cmakelists-really-separate-sources-with-headers.patch: added.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 24 Sep 2016 17:16:59 +0200

cppformat (2.0.0~alpha~20151107+ds3-1) experimental; urgency=low

  * New upstream snapshot (git commit 7c249736).
    - Fixes float-formatting test on PowerPC architectures (Closes: #801878).
  * debian/control:
    - Renamed binary packages from libcppformat1* to libcppformat2*.
    - Dev-package now suggests doc-package (Closes: #797691).
  * debian/patches:
    - 0001-README-removed-autoloading-of-third-party-links-imag.patch: rebased.
    - 0002-test-cmakelists-use-system-provide-GTest-and-GMock.patch: rebased.
    - 0003-doc-cmakelists-unconditionally-build-documentation.patch: rebased.
    - 0004-doc-cmakelists-out-of-tree-build-support.patch: removed
      (fixed upstream).
    - 0005-doc-conf.py-removed-usage-of-sphinx-bootstrap-theme.patch: removed
      (not needed anymore).
    - 0006-cmakelists-install-format.h-to-prefix-include-cppfor.patch: removed
      (applied upstream).
    - 0007-doc-cmakelists-added-installation-rules.patch: removed
      (applied upstream).
    - 0008-cmakelists-name-static-library-cppformat.a-not-forma.patch: removed
      (applied upstream).
    - 0009-test-format-test-FormatIntTest-FormatDec-don-t-assum.patch: removed
      (fixed upstream).
    - 0010-test-compile-death-tests-only-when-GTest-provides-th.patch: removed
      (fixed upstream).
    - 0011-test-gtest-extra-test-FileTest-ReadError-WriteError-.patch: removed
      (fixed upstream).
    - 0012-test-cmakelists-force-declare-GTEST_HAS_PTHREAD.patch: rebased.
    - New patches 0005-0007 to removed non-applicable stuff from documentation
      building script.
    - New patches 0008-0009 to strip GoogleAnalytics and download links from
      the new documentation layout template.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 08 Nov 2015 12:05:57 +0100

cppformat (1.1.0+ds-3) unstable; urgency=medium

  * debian/patches:
    - New patch 0011 to remove unit tests which assume too much about
      behavior of pipe().
    - New patch 0012 to avoid GTest crashes on non-linux platforms
      (workaround for #789267).

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Fri, 19 Jun 2015 14:47:36 +0300

cppformat (1.1.0+ds-2) unstable; urgency=medium

  * debian/patches:
    - New patch 0009 to fix FormatInt unit test on architectures where char
      type is unsigned.
    - New patch 0010 to skip death unit tests on unsupported architectures.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 18 Jun 2015 22:22:52 +0300

cppformat (1.1.0+ds-1) unstable; urgency=low

  * Initial release. (Closes: #785408)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 17 Jun 2015 08:12:26 +0300

=== debian/control ===
Source: fmtlib
Section: devel
Priority: extra
Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
Build-Depends: cmake, debhelper (>=9), googletest, python3-sphinx, python3-breathe, doxygen
Standards-Version: 4.1.1
Homepage: http://fmtlib.net/latest/index.html

Package: libfmt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Suggests: libfmt-doc
Conflicts: libcppformat1-dev, libcppformat2-dev, libfmt3-dev
Description: fast type-safe C++ formatting library -- development files
 This library provides fast, type-safe, small, C++11-aware replacement of
 (s)printf and related machinery. In some cases it's noticeably faster
 than boost::format, boost::lexical_cast and even sprintf itself.
 .
 This package contains the development files, include the static library.

Package: libfmt-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Conflicts: libcppformat1-doc, libcppformat2-doc, libfmt3-doc
Description: fast type-safe C++ formatting library -- documentation
 This library provides fast, type-safe, small, C++11-aware replacement of
 (s)printf and related machinery. In some cases it's noticeably faster
 than boost::format, boost::lexical_cast and even sprintf itself.
 .
 This package contains the documentation files.

## fmtlib 4.1.0+ds

=== debian/changelog ===
fmtlib (4.1.0+ds-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Dec 2018 19:12:09 -0800

fmtlib (4.1.0+ds-2) unstable; urgency=medium

  * debian/patches:
    - 0002-test-cmakelists-use-system-provide-GTest-and-GMock.patch: also link
      header-only-test executable to gtest target to ensure having right GTest
      include directory. Fixes FTBFS. (Closes: #897175)
    - 0015-doc-build-explicitly-use-python3.patch: added.
  * debian/control:
    - Priority: extra -> optional, as suggested by lintian.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 29 Apr 2018 19:06:35 +0200

fmtlib (4.1.0+ds-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Rebased.
    - 0014-doc-build-disable-Doxygen-full-path-names.patch: added. Shall make
      the build reproducible. Patch by Chris Lamb. (Closes: 879914)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 29 Mar 2018 13:22:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: fmtlib
 Section: devel
-Priority: extra
-Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
-Build-Depends: cmake, debhelper (>=9), googletest, python3-sphinx, python3-breathe, doxygen
+Priority: optional
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
+Build-Depends: cmake, debhelper (>=9),
+               googletest, python3-sphinx, python3-breathe, doxygen
 Standards-Version: 4.1.1
 Homepage: http://fmtlib.net/latest/index.html

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  

override_dh_auto_configure:
	dh_auto_configure -- -DFMT_PEDANTIC=on -DCMAKE_POSITION_INDEPENDENT_CODE=on

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- doc

override_dh_install:
	dh_install
	dh_sphinxdoc

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## fmtlib 5.2.1+ds

=== debian/changelog ===
fmtlib (5.2.1+ds-2) unstable; urgency=low

  * debian/patches:
    - 0017-test-assert-test-fix-typo-in-else-branch-of-EXPECT_D: fix building
      conditional death tests on non-Linux platforms.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 16 Feb 2019 18:50:37 +0100

fmtlib (5.2.1+ds-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Rebased.
    - 0003-test-cmakelists-use-system-provided-GTest-and-GMock.patch:
      treat_includes_as_system: support for multiple values in a list.
      Fixes multitude of compile warnings when building tests with
      googletest >= 1.8.1.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 15 Dec 2018 17:30:30 +0100

fmtlib (5.1.0+ds-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    - Rebased.
    - 0002-test-cmakelists-remove-irrelevant-compile-tests.patch: added.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 07 Aug 2018 18:54:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: fmtlib
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
-Build-Depends: cmake, debhelper (>=9),
-               googletest, python3-sphinx, python3-breathe, doxygen
+Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
+Build-Depends: cmake, debhelper (>=9), googletest, python3-sphinx, python3-breathe, doxygen
 Standards-Version: 4.1.1
 Homepage: http://fmtlib.net/latest/index.html

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,3 @@
 	dh_install
 	dh_sphinxdoc
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## fmtlib 5.3.0+ds

=== debian/changelog ===
fmtlib (5.3.0+ds-2) unstable; urgency=medium

  * debian/control:
    - Added ${shlibs:Depends} to record the minimal required version of
      the libstdc++6 expected by the static library. (Closes: #939290)
  * debian/patches:
    - 0021-test-stop-using-internal-scoped_ptr-from-GTest: added.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 05 Sep 2019 18:40:01 +0200

fmtlib (5.3.0+ds-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - Rebased.
    - 0018-fmt-format-disable-UDL-templates-as-non-standard.patch: added.
      (Closes: #925686)
    - 0019-fmt-format-is_output_iterator-use-constexpr-method.patch: added.
    - 0020-cmakelists-do-not-refer-to-TARGET_PDB_FILE: added.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 25 Aug 2019 16:31:11 +0200

## fmtlib 6.1.2+ds

=== test/CMakeLists.txt ===
#------------------------------------------------------------------------------
# Build the google test library

# We compile Google Test ourselves instead of using pre-compiled libraries.
# See the Google Test FAQ "Why is it not recommended to install a
# pre-compiled copy of Google Test (for example, into /usr/local)?"
# at http://code.google.com/p/googletest/wiki/FAQ for more details.
add_library(gmock STATIC
  gmock-gtest-all.cc gmock/gmock.h gtest/gtest.h gtest/gtest-spi.h)
target_compile_definitions(gmock PUBLIC GTEST_HAS_STD_WSTRING=1)
target_include_directories(gmock SYSTEM PUBLIC . gmock gtest)

find_package(Threads)
if (Threads_FOUND)
  target_link_libraries(gmock ${CMAKE_THREAD_LIBS_INIT})
else ()
  target_compile_definitions(gmock PUBLIC GTEST_HAS_PTHREAD=0)
endif ()

if (NOT SUPPORTS_VARIADIC_TEMPLATES)
  target_compile_definitions(gmock PUBLIC GTEST_LANG_CXX11=0)
endif ()

if (MSVC)
  # Workaround a bug in implementation of variadic templates in MSVC11.
  target_compile_definitions(gmock PUBLIC _VARIADIC_MAX=10)
  
  # Disable MSVC warnings of _CRT_INSECURE_DEPRECATE functions.
  target_compile_definitions(gmock PRIVATE _CRT_SECURE_NO_WARNINGS)
  if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    # Disable MSVC warnings of POSIX functions.
    target_compile_options(gmock PUBLIC -Wno-deprecated-declarations)
  endif ()
endif ()

# GTest doesn't detect <tuple> with clang.
if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  target_compile_definitions(gmock PUBLIC GTEST_USE_OWN_TR1_TUPLE=1)
endif ()

# Silence MSVC tr1 deprecation warning in gmock.
target_compile_definitions(gmock
  PUBLIC _SILENCE_TR1_NAMESPACE_DEPRECATION_WARNING=1)

#------------------------------------------------------------------------------
# Build the actual library tests

set(TEST_MAIN_SRC test-main.cc gtest-extra.cc gtest-extra.h util.cc)
add_library(test-main STATIC ${TEST_MAIN_SRC})
target_include_directories(test-main SYSTEM PUBLIC gtest gmock)
target_link_libraries(test-main gmock fmt)

include(CheckCXXCompilerFlag)

# Workaround GTest bug https://github.com/google/googletest/issues/705.
check_cxx_compiler_flag(
  -fno-delete-null-pointer-checks HAVE_FNO_DELETE_NULL_POINTER_CHECKS)
if (HAVE_FNO_DELETE_NULL_POINTER_CHECKS)
  target_compile_options(test-main PUBLIC -fno-delete-null-pointer-checks)
endif ()

# Use less strict pedantic flags for the tests because GMock doesn't compile
# cleanly with -pedantic and -std=c++98.
if (CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
    #set(PEDANTIC_COMPILE_FLAGS -Wall -Wextra -Wno-long-long -Wno-variadic-macros)
endif ()

function(add_fmt_executable name)
  add_executable(${name} ${ARGN})
  if (MINGW)
    target_link_libraries(${name} -static-libgcc -static-libstdc++)
  endif ()
endfunction()

# Adds a test.
# Usage: add_fmt_test(name srcs...)
function(add_fmt_test name)
  add_fmt_executable(${name} ${name}.cc ${ARGN})
  target_link_libraries(${name} test-main)

  # Define if certain C++ features can be used.
  if (FMT_PEDANTIC)
    target_compile_options(${name} PRIVATE ${PEDANTIC_COMPILE_FLAGS})
  endif ()
  if (FMT_WERROR)
    target_compile_options(${name} PRIVATE ${WERROR_FLAG})
  endif ()
  target_include_directories(${name} SYSTEM PUBLIC gtest gmock)
  add_test(NAME ${name} COMMAND ${name})
endfunction()

add_fmt_test(assert-test)
add_fmt_test(chrono-test)
add_fmt_test(color-test)
add_fmt_test(core-test)
add_fmt_test(grisu-test)
target_compile_definitions(grisu-test PRIVATE FMT_USE_GRISU=1)
add_fmt_test(gtest-extra-test)
add_fmt_test(format-test mock-allocator.h)
if (MSVC)
  target_compile_options(format-test PRIVATE /bigobj)
endif ()
if (NOT (MSVC AND BUILD_SHARED_LIBS))
  add_fmt_test(format-impl-test)
endif ()
add_fmt_test(locale-test)
add_fmt_test(ostream-test)
add_fmt_test(compile-test)
add_fmt_test(printf-test)
add_fmt_test(custom-formatter-test)
add_fmt_test(ranges-test)
add_fmt_test(scan-test)

if (NOT MSVC_BUILD_STATIC)
  add_fmt_executable(posix-mock-test
    posix-mock-test.cc ../src/format.cc ${TEST_MAIN_SRC})
  target_include_directories(
    posix-mock-test PRIVATE ${PROJECT_SOURCE_DIR}/include)
  target_link_libraries(posix-mock-test gmock)
  target_include_directories(posix-mock-test SYSTEM PUBLIC gtest gmock)
  if (FMT_PEDANTIC)
    target_compile_options(posix-mock-test PRIVATE ${PEDANTIC_COMPILE_FLAGS})
  endif ()
  if (HAVE_STRTOD_L)
    target_compile_definitions(posix-mock-test PRIVATE FMT_LOCALE)
  endif ()
  add_test(NAME posix-mock-test COMMAND posix-mock-test)
  add_fmt_test(posix-test)
endif ()

add_fmt_executable(header-only-test
  header-only-test.cc header-only-test2.cc test-main.cc)
target_link_libraries(header-only-test gmock)
target_include_directories(header-only-test SYSTEM PUBLIC gtest gmock)
if (TARGET fmt-header-only)
  target_link_libraries(header-only-test fmt-header-only)
else ()
  target_include_directories(
    header-only-test PRIVATE ${PROJECT_SOURCE_DIR}/include)
  target_compile_definitions(header-only-test PRIVATE FMT_HEADER_ONLY=1)
endif ()

message(STATUS "FMT_PEDANTIC: ${FMT_PEDANTIC}")

if (FMT_PEDANTIC)
  # MSVC fails to compile GMock when C++17 is enabled.
  if (FMT_HAS_VARIANT AND NOT MSVC)
    add_fmt_test(std-format-test)
    set_property(TARGET std-format-test PROPERTY CXX_STANDARD 17)
  endif ()

  # Test that the library can be compiled with exceptions disabled.
  # -fno-exception is broken in icc: https://github.com/fmtlib/fmt/issues/822.
  if (NOT CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
    check_cxx_compiler_flag(-fno-exceptions HAVE_FNO_EXCEPTIONS_FLAG)
  endif ()
  if (HAVE_FNO_EXCEPTIONS_FLAG)
    add_library(noexception-test ../src/format.cc)
    target_include_directories(
      noexception-test PRIVATE ${PROJECT_SOURCE_DIR}/include)
    target_compile_options(noexception-test PRIVATE -fno-exceptions)
    if (FMT_PEDANTIC)
      target_compile_options(noexception-test PRIVATE ${PEDANTIC_COMPILE_FLAGS})
    endif ()
  endif ()

  # Test that the library compiles without locale.
  add_library(nolocale-test ../src/format.cc)
  target_include_directories(
    nolocale-test PRIVATE ${PROJECT_SOURCE_DIR}/include)
  target_compile_definitions(
    nolocale-test PRIVATE FMT_STATIC_THOUSANDS_SEPARATOR=1)

  # Test that the library compiles without windows.h.
  if (CMAKE_SYSTEM_NAME STREQUAL "Windows")
    add_library(no-windows-h-test ../src/format.cc)
    target_include_directories(
      no-windows-h-test PRIVATE ${PROJECT_SOURCE_DIR}/include)
    target_compile_definitions(no-windows-h-test PRIVATE FMT_USE_WINDOWS_H=0)
    if (FMT_PEDANTIC)
      target_compile_options(no-windows-h-test PRIVATE ${PEDANTIC_COMPILE_FLAGS})
    endif ()
    target_include_directories(no-windows-h-test SYSTEM PUBLIC gtest gmock)
  endif ()

  add_test(compile-error-test ${CMAKE_CTEST_COMMAND}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/compile-error-test"
    "${CMAKE_CURRENT_BINARY_DIR}/compile-error-test"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
    "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
    "-DCMAKE_CXX_STANDARD=${CMAKE_CXX_STANDARD}"
    "-DCXX_STANDARD_FLAG=${CXX_STANDARD_FLAG}"
    "-DPEDANTIC_COMPILE_FLAGS=${PEDANTIC_COMPILE_FLAGS}"
    "-DSUPPORTS_USER_DEFINED_LITERALS=${SUPPORTS_USER_DEFINED_LITERALS}")
endif ()

# These tests are disabled on Windows because they take too long.
if (FMT_PEDANTIC AND NOT WIN32)
  # Test if the targets are found from the build directory.
  add_test(find-package-test ${CMAKE_CTEST_COMMAND}
    -C ${CMAKE_BUILD_TYPE}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/find-package-test"
    "${CMAKE_CURRENT_BINARY_DIR}/find-package-test"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
    "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
    "-DCMAKE_CXX_STANDARD=${CMAKE_CXX_STANDARD}"
    "-DFMT_DIR=${PROJECT_BINARY_DIR}"
    "-DPEDANTIC_COMPILE_FLAGS=${PEDANTIC_COMPILE_FLAGS}"
    "-DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}")

  # Test if the targets are found when add_subdirectory is used.
  add_test(add-subdirectory-test ${CMAKE_CTEST_COMMAND}
    -C ${CMAKE_BUILD_TYPE}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/add-subdirectory-test"
    "${CMAKE_CURRENT_BINARY_DIR}/add-subdirectory-test"
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-options
    "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}"
    "-DCMAKE_CXX_STANDARD=${CMAKE_CXX_STANDARD}"
    "-DPEDANTIC_COMPILE_FLAGS=${PEDANTIC_COMPILE_FLAGS}"
    "-DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}")
endif ()

# Activate optional CUDA tests if CUDA is found. For version selection see
# https://docs.nvidia.com/cuda/cuda-c-programming-guide/index.html#cpp14-language-features
if (FMT_CUDA_TEST)
  if (${CMAKE_VERSION} VERSION_LESS 3.15)
    find_package(CUDA 9.0)
  else ()
    include(CheckLanguage)
    check_language(CUDA)
    if (CMAKE_CUDA_COMPILER)
      enable_language(CUDA OPTIONAL)
      set(CUDA_FOUND TRUE)
    endif ()
  endif ()

  if (CUDA_FOUND)
    add_subdirectory(cuda-test)
    add_test(NAME cuda-test COMMAND fmt-in-cuda-test)
  endif ()
endif ()

=== debian/changelog ===
fmtlib (6.1.2+ds-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Jun 2020 17:19:58 +0530

fmtlib (6.1.2+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 26 Feb 2020 20:16:24 +0100

fmtlib (6.1.2+ds-1) experimental; urgency=medium

  * New upstream release. (Closes: #950857)
  * debian/patches:
    - Rebased.
    - 0021-test-stop-using-internal-scoped_ptr-from-GTest: dropped
      (applied upstream).

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 18 Feb 2020 14:10:10 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -B bdir

override_dh_auto_configure:
	dh_auto_configure -- -DFMT_PEDANTIC=on -DCMAKE_POSITION_INDEPENDENT_CODE=on

override_dh_auto_build:
	dh_auto_build -B bdir
	dh_auto_build -B bdir -- doc

override_dh_shlibdeps:
	# dh_shlibdeps silently ignores libfmt-dev since it contains only a static library
	dpkg-shlibdeps -Tdebian/libfmt-dev.substvars -ebdir/bin/posix-test

override_dh_install:
	dh_install
	dh_sphinxdoc

## fmtlib 7.1.3%2Bds1

=== debian/changelog ===
fmtlib (7.1.3+ds1-5.0antix1) unstable; urgency=medium

  * antiX-19 build 

 -- anticapitalista <antix@operamail.com>  Sun, 23 Jul 2023 00:14:22 +0300

fmtlib (7.1.3+ds1-5) unstable; urgency=medium

  * Breaks libspdlog1 << 1:1.8.1+ds-2.1 for libfmt-dev

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 02 Jan 2021 20:35:29 +0800

fmtlib (7.1.3+ds1-4) unstable; urgency=medium

  * Upload to unstable.
  * Update README.Debian.
    Header-only version is provided now
  * Add node-clean-css to Build-Depends-Indep

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 24 Dec 2020 22:50:19 +0800

fmtlib (7.1.3+ds1-3) experimental; urgency=medium

  * Enable building shared library
  * Add new shared library package (Closes: #962087)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 15 Dec 2020 02:30:16 +0800

fmtlib (7.1.3+ds1-2) experimental; urgency=medium

  * Fix api signature in doc

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 15 Dec 2020 01:49:39 +0800

fmtlib (7.1.3+ds1-1) experimental; urgency=medium

  * New upstream version 7.1.3+ds1
  * Rewrite patches from scratch.
    To many patches in previous version, impossible to rebase.

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 14 Dec 2020 16:45:25 +0800

fmtlib (6.1.2+ds-3) unstable; urgency=medium

  * Rework sphinx doc build (Closes: #959638)
  * Adopt package, thanks Eugene V. Lyubimkin (Closes: #972869)
  * Move package source to salsa.d.o (Closes: #950856)
  * Add Multi-Arch hint, thanks Michael R. Crusoe (Closes: #953023)
  * Update new Homepage and source repository
  * Bump debhelper-compat
  * Secure copyright format url
  * Add Rules-Requires-Root
  * Bump Standards-Version

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 22 Nov 2020 23:17:23 +0800

=== debian/control ===
Source: fmtlib
Section: devel
Priority: optional
Maintainer: Shengjing Zhu <zhsj@debian.org>
Build-Depends:
 debhelper-compat (= 12),
Build-Depends-Arch:
 cmake,
 googletest,
Build-Depends-Indep:
 doxygen,
 libjs-bootstrap,
 node-clean-css,
 node-less,
 python3-breathe,
 python3-sphinx,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://fmt.dev/
Vcs-Browser: https://salsa.debian.org/zhsj/fmtlib
Vcs-Git: https://salsa.debian.org/zhsj/fmtlib.git

Package: libfmt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libfmt7 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libfmt-doc,
Breaks:
 libspdlog1 (<< 1:1.8.1+ds-2.1),
Conflicts:
 libcppformat1-dev,
 libcppformat2-dev,
 libfmt3-dev,
Description: fast type-safe C++ formatting library -- development files
 This library provides fast, type-safe, small, C++11-aware replacement of
 (s)printf and related machinery. In some cases it's noticeably faster
 than boost::format, boost::lexical_cast and even sprintf itself.
 .
 This package contains the development files, include the static library.

Package: libfmt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-bootstrap,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Conflicts:
 libcppformat1-doc,
 libcppformat2-doc,
 libfmt3-doc,
Description: fast type-safe C++ formatting library -- documentation
 This library provides fast, type-safe, small, C++11-aware replacement of
 (s)printf and related machinery. In some cases it's noticeably faster
 than boost::format, boost::lexical_cast and even sprintf itself.
 .
 This package contains the documentation files.

Package: libfmt7
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast type-safe C++ formatting library -- library
 This library provides fast, type-safe, small, C++11-aware replacement of
 (s)printf and related machinery. In some cases it's noticeably faster
 than boost::format, boost::lexical_cast and even sprintf itself.
 .
 This package contains the shared library.

## fmtlib 7.1.3+ds1

=== doc/CMakeLists.txt ===
find_program(DOXYGEN doxygen)
if (NOT DOXYGEN)
  message(STATUS "Target 'doc' disabled (requires doxygen)")
  return ()
endif ()

find_package(PythonInterp QUIET REQUIRED)

add_custom_target(doc
  COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/build.py
                               ${FMT_VERSION}
  SOURCES api.rst syntax.rst usage.rst build.py conf.py _templates/layout.html)

include(GNUInstallDirs)
install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html/
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/doc/fmt OPTIONAL
        PATTERN ".doctrees" EXCLUDE)

=== debian/changelog ===
fmtlib (7.1.3+ds1-5~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add "~" to the end of the Breaks: spdlog version so it accepts our build.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 04 Feb 2021 15:07:15 -0800

=== debian/control ===
Source: fmtlib
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Shengjing Zhu <zhsj@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake, googletest
Build-Depends-Indep: doxygen,
                     libjs-bootstrap,
                     node-clean-css,
                     node-less,
                     python3-breathe,
                     python3-sphinx
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://fmt.dev/
Vcs-Browser: https://salsa.debian.org/zhsj/fmtlib
Vcs-Git: https://salsa.debian.org/zhsj/fmtlib.git

Package: libfmt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libfmt7 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: libfmt-doc
Breaks: libspdlog1 (<< 1:1.8.1+ds-2.1~)
Conflicts: libcppformat1-dev, libcppformat2-dev, libfmt3-dev
Description: fast type-safe C++ formatting library -- development files
 This library provides fast, type-safe, small, C++11-aware replacement of
 (s)printf and related machinery. In some cases it's noticeably faster
 than boost::format, boost::lexical_cast and even sprintf itself.
 .
 This package contains the development files, include the static library.

Package: libfmt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-bootstrap, ${misc:Depends}, ${sphinxdoc:Depends}
Conflicts: libcppformat1-doc, libcppformat2-doc, libfmt3-doc
Description: fast type-safe C++ formatting library -- documentation
 This library provides fast, type-safe, small, C++11-aware replacement of
 (s)printf and related machinery. In some cases it's noticeably faster
 than boost::format, boost::lexical_cast and even sprintf itself.
 .
 This package contains the documentation files.

Package: libfmt7
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fast type-safe C++ formatting library -- library
 This library provides fast, type-safe, small, C++11-aware replacement of
 (s)printf and related machinery. In some cases it's noticeably faster
 than boost::format, boost::lexical_cast and even sprintf itself.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ -B bdir

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		-DFMT_DOC=off -DFMT_PEDANTIC=on -DCMAKE_POSITION_INDEPENDENT_CODE=on \
		-DBUILD_SHARED_LIBS=on

override_dh_auto_configure-indep:

override_dh_auto_build-indep:
	mkdir -p bdir/doxyxml
	doxygen debian/doxygen.conf
	sphinx-build -Dbreathe_projects.format=../bdir/doxyxml \
		-Dversion=$(DEB_VERSION) -Drelease=$(DEB_VERSION) -Aversion=$(DEB_VERSION) -Aversions=$(DEB_VERSION) \
		-b html doc/ bdir/libfmt-doc
	lessc --clean-css --include-path=/usr/share/javascript/bootstrap/less \
		doc/fmt.less bdir/libfmt-doc/_static/fmt.css
	ln -sf /usr/share/javascript/bootstrap/js/bootstrap.min.js bdir/libfmt-doc/_static/bootstrap.min.js

override_dh_auto_test-indep:

override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc
	cp -vr bdir/libfmt-doc debian/tmp/usr/share/doc/

override_dh_install-indep:
	dh_install
	dh_sphinxdoc

override_dh_strip:
	dh_strip --no-automatic-dbgsym
